post
https://app.bill.pro/api/v1/orders/create_subscription_order
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Before you create a subscription order
- Create a product in the UI with the
product_typeofsubscription. See Create your product catalogue and Create a subscription product. - Create a customer. See Create customer for the API, Create customers for the UI, and Import customers from a CSV file.
Products in orders
- In subscription orders, you can only add one product.
- If the pricing configuration of a product is not locked, you can change the pricing when you create an order. For fees, discounts, and taxes, you can specify an amount in each order, with no percentage discount.
Manage scheduled payments
- To use the API to manage scheduled payments, see Scheduled Payments. You can skip, cancel, or reschedule billing events.
Subscription periods
- When you create a subscription product in the UI, you can select from three intervals:
MONTH,QUARTER, orYEAR. - If you do not lock the payment configuration in the product, you can select new payment configuration when creating an order with the UI or API. With the API, change the
recurring_collection_interval. This lets you select from the standard subscription periods ofMONTH,QUARTERorYEAR. - After you create a subscription, you can use the scheduled payments endpoint to change the subscription period. This allows you to create custom payment intervals using
scheduled_durationandscheduled_intervalthat will override the standard subscription intervals. - You can change the
scheduled_intervalto an integer value, and set thescheduled_duration_unittoDAY,WEEK,MONTH, orYEAR. - When you update scheduled payments it does not change the order, but it does change when BillPro collects the payments.
- See also the tutorial to Create a subscription with a trial
Order status
- BillPro creates a payment link and sets the pending status for the order, but the BillPro API does not automatically send the payment link to the customer.
Taking payments
- You can send the payment link to the customer by email
- You can integrate with BillPro's payment link to redirect the customer to BillPro's secure checkout. See Integrate with payment links.
- With CardCorp merchant accounts, when you create the order, you can create a checkout in the payment gateway to use in an iframe integration. See Integrate with custom checkout and payment iframe. If the user doesn't complete their transaction within 25 minutes, the checkout expires, and you can renew it with the Renew Checkout request.
Notifications
- BillPro sends payment reminders for all
Pendingorders. To change this configuration, see Payment reminders in Configure BillPro with CardCorp or Activate BillPro with Stripe and Activate email notifications.
Delete old pending orders
- Create a regular process to remove old orders with a
Pendingstatus in the UI. See Track pending orders.
Subscription order response
| Attribute | Description |
|---|---|
| scheduled_duration | For a standard subscription period of MONTH, QUARTER, or YEAR, this value will be null. If you have changed the subscription payment using the scheduled payments endpoint, the value will be DAY, WEEK, MONTH, YEAR. |
| scheduled_unit | For a standard subscription period, this will be MONTH, QUARTER, or YEAR. |
| scheduled_interval | For a monthly order, this value will be 1. |